package com.tofly.codegen.util;

/**
 * @author tuonbed
 * @date 2020/3/13  9:14
 */
public interface DataTypeSqlInfo {





    public String dataType();

    public String getTABLE_COMMENT_SQL();

    public String getTABLE_COMMENT_ALL_SQL();

    public String getTABLECOLUM_COMMENT_SQL();

//    public String getTABLEGEN_DETAIL_QUERY_SQL();

    public String getQUERYMAXSQL();

    public String getINSERT_TABLEGEN_SQL();

    public String getBATCHINSERT_TABLEDETAILGEN_SQL();


    public String getDELETE_TABLEGEN_SQL();

    public String getDELETE_TABLEDETAILGEN_SQL();

    default String getTABLEGEN_DETAIL_QUERY_SQL(){
        return "select * from "+getTABLEDETAILGEN_TABLENAME()+" where TABLE_NAME = ?";
    }

    public String getTABLEGEN_TABLENAME();

    public String getTABLEDETAILGEN_TABLENAME();
}
